<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.ReagentConsumablesMapper">

  <resultMap id="reagentConsumablesMap" type="digital.laboratory.platform.reagent.entity.ReagentConsumables">
    <id property="reagentConsumableId" column="reagent_consumable_id"/>
    <result property="brand" column="brand"/>
    <result property="category" column="category"/>
    <result property="deviationOrUncertainty" column="deviation_or_uncertainty"/>
    <result property="reagentConsumableName" column="reagent_consumable_name"/>
    <result property="species" column="species"/>
    <result property="specificationAndModel" column="specification_and_model"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>
    <result property="standardValueOrPurity" column="standard_value_or_purity"/>
    <result property="technicalParameter" column="technical_parameter"/>
    <result property="unitPrice" column="unit_price"/>
    <result property="englishName" column="english_name"/>
    <result property="packagedCopies" column="packaged_copies"/>
    <result property="alias" column="alias"/>
    <result property="storageCondition" column="storage_condition"/>
    <result property="remark" column="remark"/>
    <result property="minimumUnit" column="minimum_unit"/>
    <result property="number" column="number"/>



  </resultMap>
</mapper>
